API ReferenceGenerated Reference
Find the signed-in account's wallet payments
Requires an account access token. Returns all unresolved orders plus the newest 50 completed orders, newest first. Another user's orders are never returned.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://api.xenodia.xyz/v1/payments/orders"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account_id": 0,
"account_label": "string",
"payer_address": "string",
"asset_id": "base_usdc",
"chain_id": 8453,
"token_address": "string",
"recipient_address": "string",
"amount_micro": "string",
"credit_micro": "string",
"rate_ppm": "string",
"status": "pending",
"payment_attempt_id": "string",
"tx_hash": "string",
"created_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}